colors = {
    "bg0": " #fbf1c7",
    "bg1": " #ebdbb2",
    "bg2": " #d5c4a1",
    "bg3": " #bdae93",
    "bg4": " #a89984",
    "gry": " #928374",
    "fg4": " #7c6f64",
    "fg3": " #665c54",
    "fg2": " #504945",
    "fg1": " #3c3836",
    "fg0": " #282828",
    "red": " #cc241d",
    "red2": " #9d0006",
    "orange": " #d65d0e",
    "orange2": " #af3a03",
    "yellow": " #d79921",
    "yellow2": " #b57614",
    "green": " #98971a",
    "green2": " #79740e",
    "aqua": " #689d6a",
    "aqua2": " #427b58",
    "blue": " #458588",
    "blue2": " #076678",
    "purple": " #b16286",
    "purple2": " #8f3f71",
}

html_theme = "alabaster"
html_theme_options = {
    "github_user": "alisaifee",
    "github_button": False,
    "github_banner": True,
    "fixed_sidebar": False,
    "globaltoc_collapse": True,
    "globaltoc_maxdepth": -1,
    # Style related overrides
    #"admonition_xref_bg": colors["purple"],
    #"admonition_xref_border": colors["red"],
    "xref_border": "0",
    "xref_bg": "transparent",
    "anchor": "",
    "anchor_hover_bg": "",
    "anchor_hover_fg": colors["purple"],
    "body_text": colors["fg0"],
    "pre_bg": colors["fg0"],
    "code_highlight_bg": colors["purple2"],
    "highlight_bg": colors["bg0"],
    "viewcode_target_bg": colors["fg2"],
    "code_bg": "transparent",
    "code_text": colors["fg3"],
    "footer_text": colors["fg0"],
    # "footnote_bg": "",
    # "footnote_border": "",
    "gray_1": colors["fg0"],
    "gray_2": colors["fg1"],
    "gray_3": colors["fg2"],
    "link_hover": colors["blue"],
    "link": colors["blue2"],
    "narrow_sidebar_bg": colors["fg1"],
    "narrow_sidebar_fg": colors["bg1"],
    "narrow_sidebar_link": colors["bg0"],
    "important_bg": colors["blue"],
    "important_border": colors["blue"],
    "note_bg": colors["aqua"],
    "note_border": colors["aqua"],
    "warn_bg": colors["orange"],
    "warn_border": colors["orange"],
    "pink_1": colors["red"],
    "pink_2": colors["red"],
    # "relbar_border": "",
    # "seealso_bg": "",
    # "seealso_border": "",
    # "sidebar_header": "",
    # "sidebar_hr": "",
    "sidebar_link": colors["fg0"],
    "sidebar_list": colors["fg3"],
    "sidebar_link_underscore": colors["fg0"],
    "sidebar_search_button": colors["fg1"],
    "sidebar_text": colors["fg1"],
    "caption_font_family": "Fira Sans",
    "code_font_family": "Fira Code",
    "font_family": "Fira Sans",
    "head_font_family": "Fira Sans",
    # "caption_font_size": "",
    "code_font_size": "smaller",
    # "font_size": "",
}
panels_css_variables = {
    "tabs-color-label-active": colors["purple2"],
    "tabs-color-label-inactive": colors["purple"],
    "tabs-color-overline": colors['purple'],
    "tabs-color-underline": colors["purple2"],
    "tabs-size-label": "1rem",
}

highlight_language = "python3"
pygments_style = "gruvbox-dark"
